Description

Description of problem:

When creating a new host (GUI):

Hosts > New Host > Interfaces > + Add Interface > Type...

Pull-down menu currently does not include "Teaming" as an option, only "Bond".

Network Teaming is a new option in RHEL7 [1] and customers would like to leverage this option when provisioning physical hosts.

This option would also need to be added to hammer. Current available option is Bond:

hammer host create [...]

   --interface="identifier=bond0, \

               ip=1.2.3.4, \

               type=Nic::Bond, \

 And add it to the kickstart_networking_setup snippet, under Hosts > Provisioning Templates.

Attaching a sample kickstart snippet found in the "Foreman Users" Google Group that was sent to mhulan.

(the attachment is in the linked BZ)

[1] 

https://access.redhat.com/documentation/en-US/Red_Hat_Enterprise_Linux/7/html/Networking_Guide/ch-Configure_Network_Teami

ng.html

Related issues:

Related to Foreman - Bug #14958: undefined method `mask' for nil:NilClass error Rejected 05/09/2016

History

#1 - 10/20/2016 03:04 AM - Marek Hulán

- Related to Bug #14958: undefined method `mask' for nil:NilClass error added

#2 - 10/20/2016 03:17 AM - Marek Hulán

- Subject changed from Add Network Teaming configuration for hosts

 to Add Network Teaming configuration for hosts

- Description updated

#3 - 07/31/2018 12:25 PM - Warren Jeffs

Hate to bump this, but its been 2 years and Teamd is the recommended bonding/teaming method in RHEL ect. So would be great for me to be able to

make use of this on my foreman managed nodes, Like I do my other nodes.

Cheers.

#4 - 09/11/2018 11:49 AM - Lukas Zapletal

Related thread: https://community.theforeman.org/t/rfe-team-network-interface-support/11041
#5 - 09/29/2021 02:37 PM - Don H

Warren Jeffs wrote:

Hate to bump this, but its been 2 years and Teamd is the recommended bonding/teaming method in RHEL ect. So would be great for me to be

able to make use of this on my foreman managed nodes, Like I do my other nodes.

Cheers.

 GOING TO SECOND THIS, again this has been YEARS and all the RHEL docs recommend teaming.  Foreman should support network teaming by

now in the web interface setup.
